# 	Light Harvesting Protein
#	Structure and distinct supramolecular organization of a PSII-ACPII 
#	dimer from a cryptophyte alga Chroomonas placoidea.
#	Mao, Z., Li, X., Li, Z., Shen, L., Li, X., Yang, Y., Wang, W., 
#	Kuang, T., Shen, J.R., Han, G.
#	(2024) Nat Commun 15: 4535-4535

#-----PyMol Header------------------------------- 
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
# set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# fror high quality surfaces set this to 3 (very slow)
set surface_quality, 1
# use these commands to control the rainbow
# util.cbc(selection='(all)',first_color=7,quiet=1,legacy=0,_self=cmd)
# spectrum count, wheat palegreen lightblue paleyellow lightpink lightorange salmon palegreen lightblue paleyellow lightpink lightorange wheat palegreen lightblue paleyellow lightpink lightorange salmon palegreen lightblue paleyellow lightpink lightorange, obj and resi 1-522
# set cartoon_cylindrical_helices,1
# create protein, polymer.protein
# create RNA, polymer.nucleic
#-----End PyMol Header------------------------------- 


fetch 8WB4
remove not polymer.protein

color lightpink 
color paleyellow, chain 0 or chain 1 or chain 7 or chain 4
color paleyellow, chain 8 or chain p or chain 2 or chain 5
color paleyellow, chain 9 or chain P or chain 3 or chain 6
color lightorange,  chain B or chain b

color lightblue, chain l or chain L
color lightblue,  chain o or chain O
color lightblue, chain M or chain m or chain t or chain T
color lightblue, chain S or chain s or chain G or chain g

show surface
ray 2000,2000
save light_harvest_1.png

rotate x,  -90
ray 2000,2000
save light_harvest_2.png
pwd


